/*
 * Gitea API
 *
 * This documentation describes the Gitea API.
 *
 * The version of the OpenAPI document: 1.22.1
 * 
 * Generated by: https://openapi-generator.tech
 */

use crate::models;
use serde::{Deserialize, Serialize};

/// ChangedFile : ChangedFile store information about files affected by the pull request
#[derive(Clone, Default, Debug, PartialEq, Serialize, Deserialize)]
pub struct ChangedFile {
    #[serde(rename = "additions", skip_serializing_if = "Option::is_none")]
    pub additions: Option<i64>,
    #[serde(rename = "changes", skip_serializing_if = "Option::is_none")]
    pub changes: Option<i64>,
    #[serde(rename = "contents_url", skip_serializing_if = "Option::is_none")]
    pub contents_url: Option<String>,
    #[serde(rename = "deletions", skip_serializing_if = "Option::is_none")]
    pub deletions: Option<i64>,
    #[serde(rename = "filename", skip_serializing_if = "Option::is_none")]
    pub filename: Option<String>,
    #[serde(rename = "html_url", skip_serializing_if = "Option::is_none")]
    pub html_url: Option<String>,
    #[serde(rename = "previous_filename", skip_serializing_if = "Option::is_none")]
    pub previous_filename: Option<String>,
    #[serde(rename = "raw_url", skip_serializing_if = "Option::is_none")]
    pub raw_url: Option<String>,
    #[serde(rename = "status", skip_serializing_if = "Option::is_none")]
    pub status: Option<String>,
}

impl ChangedFile {
    /// ChangedFile store information about files affected by the pull request
    pub fn new() -> ChangedFile {
        ChangedFile {
            additions: None,
            changes: None,
            contents_url: None,
            deletions: None,
            filename: None,
            html_url: None,
            previous_filename: None,
            raw_url: None,
            status: None,
        }
    }
}

