/*
 * Gitea API
 *
 * This documentation describes the Gitea API.
 *
 * The version of the OpenAPI document: 1.22.1
 * 
 * Generated by: https://openapi-generator.tech
 */

use crate::models;
use serde::{Deserialize, Serialize};

/// CreateBranchRepoOption : CreateBranchRepoOption options when creating a branch in a repository
#[derive(Clone, Default, Debug, PartialEq, Serialize, Deserialize)]
pub struct CreateBranchRepoOption {
    /// Name of the branch to create
    #[serde(rename = "new_branch_name")]
    pub new_branch_name: String,
    /// Deprecated: true Name of the old branch to create from
    #[serde(rename = "old_branch_name", skip_serializing_if = "Option::is_none")]
    pub old_branch_name: Option<String>,
    /// Name of the old branch/tag/commit to create from
    #[serde(rename = "old_ref_name", skip_serializing_if = "Option::is_none")]
    pub old_ref_name: Option<String>,
}

impl CreateBranchRepoOption {
    /// CreateBranchRepoOption options when creating a branch in a repository
    pub fn new(new_branch_name: String) -> CreateBranchRepoOption {
        CreateBranchRepoOption {
            new_branch_name,
            old_branch_name: None,
            old_ref_name: None,
        }
    }
}

