/*
 * Gitea API
 *
 * This documentation describes the Gitea API.
 *
 * The version of the OpenAPI document: 1.22.1
 * 
 * Generated by: https://openapi-generator.tech
 */

use crate::models;
use serde::{Deserialize, Serialize};

/// CreateKeyOption : CreateKeyOption options when creating a key
#[derive(Clone, Default, Debug, PartialEq, Serialize, Deserialize)]
pub struct CreateKeyOption {
    /// An armored SSH key to add
    #[serde(rename = "key")]
    pub key: String,
    /// Describe if the key has only read access or read/write
    #[serde(rename = "read_only", skip_serializing_if = "Option::is_none")]
    pub read_only: Option<bool>,
    /// Title of the key to add
    #[serde(rename = "title")]
    pub title: String,
}

impl CreateKeyOption {
    /// CreateKeyOption options when creating a key
    pub fn new(key: String, title: String) -> CreateKeyOption {
        CreateKeyOption {
            key,
            read_only: None,
            title,
        }
    }
}

