/*
 * Gitea API
 *
 * This documentation describes the Gitea API.
 *
 * The version of the OpenAPI document: 1.22.1
 * 
 * Generated by: https://openapi-generator.tech
 */

use crate::models;
use serde::{Deserialize, Serialize};

/// InternalTracker : InternalTracker represents settings for internal tracker
#[derive(Clone, Default, Debug, PartialEq, Serialize, Deserialize)]
pub struct InternalTracker {
    /// Let only contributors track time (Built-in issue tracker)
    #[serde(rename = "allow_only_contributors_to_track_time", skip_serializing_if = "Option::is_none")]
    pub allow_only_contributors_to_track_time: Option<bool>,
    /// Enable dependencies for issues and pull requests (Built-in issue tracker)
    #[serde(rename = "enable_issue_dependencies", skip_serializing_if = "Option::is_none")]
    pub enable_issue_dependencies: Option<bool>,
    /// Enable time tracking (Built-in issue tracker)
    #[serde(rename = "enable_time_tracker", skip_serializing_if = "Option::is_none")]
    pub enable_time_tracker: Option<bool>,
}

impl InternalTracker {
    /// InternalTracker represents settings for internal tracker
    pub fn new() -> InternalTracker {
        InternalTracker {
            allow_only_contributors_to_track_time: None,
            enable_issue_dependencies: None,
            enable_time_tracker: None,
        }
    }
}

